Tryton - Issues

 

Issue8121

Title Ambiguous error message
Priority bug Status resolved
Superseder Nosy List Timitos, ced, reviewbot, roundup-bot
Type behavior Components account_payment_stripe
Assigned To ced Keywords review
Reviews 279131002
View: 279131002

Created on 2019-02-15.17:15:46 by Timitos, last changed by roundup-bot.

Messages
New changeset 22b0df46051c by Cédric Krier in branch 'default':
Fix meaning of msg_stripe_receivable
https://hg.tryton.org/tryton-env/rev/22b0df46051c
New changeset fd06f3538108 by Cédric Krier in branch 'default':
Fix meaning of msg_stripe_receivable
https://hg.tryton.org/modules/account_payment_stripe/rev/fd06f3538108
New review279131002 at https://codereview.tryton.org/279131002/#ps279141002
msg48344 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-02.23:31:23
Indeed r a8550d684cac changed the meaning of the message.
Here is review279131002 which should restore the meaning.
msg47061 (view) Author: [hidden] (Timitos) (Tryton translator) Date: 2019-02-15.17:15:45
The error message with id "msg_stripe_receivable" is ambiguous when comparing the message and the related code.

In the code there is a check: "if self.kind != 'receivable' [0]
But the error message says: You cannot use stripe journal "%(journal)s" on receivable payment "%(payment)s". [1]

So the code checks if the kind of the payment is NOT 'receivable' but the error message says that a journal if process_method 'stripe' cannot be used on payments of type 'receivable'.

So if the error message is correct the code needs to be fixed. Please confirm that and i will provide a patch.

[0] http://hg.tryton.org/modules/account_payment_stripe/file/tip/payment.py#l139
[1] http://hg.tryton.org/modules/account_payment_stripe/file/d5b4ecf0099a/message.xml#l10
History
Date User Action Args
2019-04-08 10:19:17roundup-botsetmessages: + msg48754
2019-04-08 10:19:12roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg48753
2019-04-02 23:43:38reviewbotsetnosy: + reviewbot
messages: + msg48345
2019-04-02 23:43:37reviewbotsetreviews: 279131002
keyword: + review
2019-04-02 23:31:24cedsetstatus: unread -> testing
assignedto: ced
type: behavior
messages: + msg48344
nosy: + ced
2019-04-02 23:17:27cedsettitle: Ambiguous error message in account_payment_strip -> Ambiguous error message
2019-02-15 17:15:46Timitoscreate

Showing 10 items. Show all history (warning: this could be VERY long)